Skip to main content
`Ctrl`+`K`

# PlanarEmbedding.remove_node

PlanarEmbedding.remove_node(n)

  Remove node n.

  Removes the node n and all adjacent edges, updating the PlanarEmbedding to account for any resulting edge removal. Attempting to remove a non-existent node will raise an exception.

  Parameters:
    n node

      A node in the graph

  Raises:
    NetworkXError

      If n is not in the graph.

  See also

  `remove_nodes_from`